Subject: Re: [PATCH] stash: Add stash.showFlag config variable

From: Namhyung Kim <[email-masked]>
Date: Fri, 28 Aug 2015 10:54:33 +0900

Hi,

On Thu, Aug 27, 2015 at 06:08:39PM -0700, Junio C Hamano wrote:
> Namhyung Kim <[email-masked]> writes:
> 
> > +stash.showFlag::
> > +	The default option to pass to `git stash show` when no option is
> > +	given. The default is '--stat'.  See description of 'show' command
> > +	in linkgit:git-stash[1].
> 
> Doesn't the same discussion in $gmane/275752 apply here?  By
> designing the configuration variable in a sloppy way, this change
> will force us to spawn "git diff" via the shell forever, even after
> somebody ports "git stash" to C.
> 
> Which is not great.

I see.

> 
> Perhaps a pair of new booleans
> 
>  - stash.showStat (defaults to true but you can turn it off)
>  - stash.showPatch (defaults to false but you can turn it on)
> 
> or something along that line might be sufficient and more palatable.

Hmm.. I agree with you, but I don't know what we should do if both of
the options were off.  Just run 'git diff' with no option is ok to you?

> I dunno.

:)

> 
> 
> [Footnote]
> 
> *1* Besides, showFlag is a strange configuration variable name.  I
> thought that by setting it to true, you are making "git stash"
> command to somehow show some kind of a flag when it does its
> operation ;-).

I admit that it's a bad name.  My naming sense is always horrible.. ;-p

Thanks for the review!
Namhyung